<?php

/**
 * Single Forum Content Part
 *
 * @package bbPress
 * @subpackage Theme
 */

$ubc_bbp_forum_desc = array(
	'before'    => '<div class="bbp-template-notice info callout"><small class="bbp-forum-description">',
	'after'     => '</small></div>',
);

$bbp_subscription_link_args = array(
	'before'    => '<svg class="ui-icon share"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#share"></use></svg>',
);

?>

<div id="bbpress-forums">

	<?php //bbp_breadcrumb(); ?>
	<div class="bbp-subscribe-favorite text-right">

		<?php bbp_forum_subscription_link( $bbp_subscription_link_args ); ?>

	</div><!-- .bbp-subscribe-favorite -->

	<?php do_action( 'bbp_template_before_single_forum' ); ?>

	<?php if ( post_password_required() ) : ?>

		<?php bbp_get_template_part( 'form', 'protected' ); ?>

	<?php else : ?>

		<?php bbp_single_forum_description( $ubc_bbp_forum_desc ); ?>

		<?php if ( bbp_has_forums() ) : ?>

			<?php bbp_get_template_part( 'loop', 'forums' ); ?>

		<?php endif; ?>

		<?php if ( !bbp_is_forum_category() && bbp_has_topics() ) : ?>

			<?php bbp_get_template_part( 'pagination', 'topics'    ); ?>

			<?php bbp_get_template_part( 'loop',       'topics'    ); ?>

			<?php bbp_get_template_part( 'pagination', 'topics'    ); ?>

			<?php bbp_get_template_part( 'form',       'topic'     ); ?>

		<?php elseif ( !bbp_is_forum_category() ) : ?>

			<?php bbp_get_template_part( 'feedback',   'no-topics' ); ?>

			<?php bbp_get_template_part( 'form',       'topic'     ); ?>

		<?php endif; ?>

	<?php endif; ?>

	<?php do_action( 'bbp_template_after_single_forum' ); ?>

</div>
