<?php
/**
 * Template for showing dashboard tab urls
 *
 * @author David Brabbins
 * @since 0.1.9
 */

$tab_names 				= \UBC\Press\StudentDashboard\Utils::ubc_press_tab_names();
$dashboard_url	  = \UBC\Press\StudentDashboard\Utils::ubc_press_get_dashboard_url();
$dashboard_link	  = \UBC\Press\StudentDashboard\Utils::ubc_press_dashboard_url();
?>
<li>

	<?php echo $dashboard_link; ?>

	<ul class="menu vertical nested">

		<?php foreach ( $tab_names as $tab_name ) :
			$dashboard_tab_url 	= $dashboard_url . '/#dashboard-' . $tab_name;
			$icon 				= 'progress' === $tab_name ? 'checkmark-circle' : $tab_name;
		?>
		<li>
			<a href="<?php echo esc_url( $dashboard_tab_url ) ?>" title="Go to dashboard <?php esc_attr( $tab_name ); ?>"><svg class="ui-icon <?php esc_attr( $tab_name ); ?>" aria-hidden="true"><use xlink:href="#<?php echo esc_attr( $icon ); ?>"></use></svg> <?php echo esc_html( $tab_name ); ?></a>
		</li>
	<?php endforeach; ?>
	</ul>

</li>
